## psychopy 1.51.00.dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	cp -f ../psychopy/CHANGELOG.txt source/changelog.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/PsychoPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/PsychoPy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

## psychopy 1.65.02.dfsg

=== debian/changelog ===
psychopy (1.65.02.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jul 2011 10:37:23 -0400

psychopy (1.65.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * Upgraded policy to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Jul 2011 20:58:55 -0400

psychopy (1.65.00~pre1.dfsg-1) unstable; urgency=low

  * Getting ready for the upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Jun 2011 20:54:07 -0400

psychopy (1.64.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - added perspective python-pyxid to Suggests
  * debian/copyright:
    - added Jeremey Grey copyright to mseq* code
    - updated years

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Apr 2011 11:08:58 -0400

psychopy (1.63.04.dfsg-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/README.Debian-source: no SVN repository any longer etc.
  * debian/control:
    - updated description
    - removed pyepl from suggests
    - added ipython into Recommends to be used as the Python shell in Coder

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 25 Feb 2011 12:48:15 -0500

psychopy (1.63.01.dfsg-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jan 2011 12:32:41 -0500

psychopy (1.63.00+git8-g46ee897.dfsg-1) experimental; urgency=low

  * New upstream release:
    - Few post-release commits were included since they fixed some bugs
      and resolved EOLs and executable permissions issues in the repository
  * New patch: deb_do_not_regenerate_init  to leave __init__.py pristine
    even though we ship createInitFile.py

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Dec 2010 12:54:22 -0500

psychopy (1.62.02.dfsg-1) experimental; urgency=low

  * New upstream release
  * Converted into quilt (3.0) sources format -- two patches
    to upstream for DFSG-ed sources are created
  * Elaborated dfsg rule of debian/rules

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Oct 2010 14:08:24 -0400

psychopy (1.62.01.dfsg-1) experimental; urgency=low

  * New upstream bugfix release:
    - removed third-part ioLabs interface (Debian packaging pending)
    - upstreamed moved from SVN to GIT, alioth's repository
      recrerated to follow freshly (properly) converted upstream GIT repo:
      + master-dfsg -> dfsg -- DFSG compliant sources
      + debian-release -> debian -- branch for dfsg+debian/ packaging
  * Added perspective python-iolabs into Suggests

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Sep 2010 11:47:41 -0400

psychopy (1.62.00.dfsg-1) experimental; urgency=low

  * New upstream release. Introduces soft dependency (Recommends)
    on openpyxl
  * Upgraded policy to 3.9.1 -- no changed
  * Upload to experimental due to squeeze freeze

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Aug 2010 12:05:41 -0400

psychopy (1.61.03.dfsg-1) unstable; urgency=low

  * Upstream bugfix release for 1.61 series + 2 additional commits
    (advised by upstream):
    - rev 1015 - builder: minor bug in trying dlgs trying to access advParams
      that don't exist
    - rev 1018 - coder: fix to reading of unicode scripts
  * This should be the last release in 1.61.xx series, 1.62.0 is in alpha
    testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Aug 2010 15:33:36 -0400

psychopy (1.61.02.dfsg-2) unstable; urgency=low

  * Debian packaging:
    - Moving under NeuroDebian Team umbrella
    - Boosting policy to 3.9.0 -- no changes seems to be due
    - Adding both python-pyglet and python-pygames to Recommends (they are
      also present in Depends but with the choice of one over the other).
      That should make default installations more coherent and less
      troublesome
  * Absorbed some upstream commits from svn/trunk:
    - lib: fixed bug in filters.makeGrating where gratType='sqr'
    - lib: fixed bug in new color spaces for non-shader code
    - BF: making RaingScale an explicit old-style class
      (otherwise import fails on Python 2.4)
    - removing testmovie.mpg (unknown license), using new and shiny
      testMovie.mp4

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Jul 2010 09:59:29 -0400

psychopy (1.61.02.dfsg-1) unstable; urgency=low

  * New upstream release (+ few svn commits getting to rev1004)
    - no string exceptions (Closes: #585272)
    - includes iolab's Python interface

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Jun 2010 12:05:28 -0400

psychopy (1.61.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * Cherry-picked 2 commits pushed upstream: permissions, and python 2.4
    compatibility

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 May 2010 12:55:19 -0400

psychopy (1.60.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control: Upgraded policy to 3.8.4 -- no changes are due
  * debian/copyright: years
  * Include changlog modifications done by upstream between 
    announced release and tagging
  * BF: use system-wide installed configobj (Closes: #555341)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Feb 2010 22:49:11 -0500

psychopy (1.51.00.dfsg-1) unstable; urgency=low

  * Upstream release: based Debian package on SVN rev 687,
    git sha e829fc97e1a23b342630dd10312c345283c915e5.
  * debian/control:
    * BF: Recommends python-scipy
    * RF: libavbin0 into Recommends from Suggests
    * BF: matplotlib/lxml into Depends
    * BF: Adjusted description (closes: #547255)
    * Upgraded policy to 3.8.3 -- no changes are due
  * Reverted to using wrapper script which invokes psychopy app via runpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Nov 2009 08:49:32 -0500

psychopy (1.50.04.dfsg-1) unstable; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2009 11:23:06 -0400



=== debian/control ===
Source: psychopy
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), python-support (>= 0.6), python (>= 2.4), python-setuptools (>= 0.6), help2man, imagemagick
Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
Standards-Version: 3.9.2
Homepage: http://www.psychopy.org

Package: psychopy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pyglet | python-pygame, python-opengl, python-numpy, python-matplotlib, python-lxml, python-configobj
Recommends: python-wxgtk2.8, python-pyglet, python-pygame, python-openpyxl, python-imaging, python-serial, python-scipy,
            libavbin0,
            ipython
Suggests: python-iolabs, python-pyxid
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: environment for creating psychology stimuli in Python
 PsychoPy provides an environment for creating psychology stimuli
 using Python scripting language.  It combines the graphical
 strengths of OpenGL with easy Python syntax to give psychophysics
 a free and simple stimulus presentation and control package.
 .
 The goal is to provide, for the busy scientist, tools to control
 timing and windowing and a simple set of pre-packaged stimuli and
 methods.  PsychoPy features
 .
  - IDE GUI for coding in a powerful scripting language (Python)
  - Builder GUI for rapid development of stimulation sequences
  - Use of hardware-accelerated graphics (OpenGL)
  - Integration with Spectrascan PR650 for easy monitor calibration
  - Simple routines for staircase and constant stimuli experimental
    methods as well as curve-fitting and bootstrapping
  - Simple (or complex) GUIs via wxPython
  - Easy interfaces to joysticks, mice, sound cards etc. via PyGame
  - Video playback (MPG, DivX, AVI, QuickTime, etc.) as stimuli

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_MODULE_PACKAGE = psychopy
DEB_PYTHON_MODULE_PACKAGES = psychopy
include /usr/share/cdbs/1/class/python-distutils.mk

debian/psychopy.1: debian/psychopy.sh
	chmod +x $^
	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
## cleanup
	rm -f psychopy/__init__.pyc

install/psychopy:: debian/psychopy.1
## Fix up permissions on images -- pushed upstream, but left here
## just to make sure everything is ok
	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
		xargs chmod a-x
## # Correct interpreter lines
## was pushed upstream, but snippet is left in for possible uses
## 	find $(DEB_DESTDIR) -name \*.py \
##     | xargs sed -i -e '1 s,^#!.*python.*,#!/usr/bin/env python,g'

## convert and install icon's .xpm manually
	convert psychopy/app/Resources/psychopy.png -geometry 32x32 \
      $(DEB_DESTDIR)/usr/share/pixmaps/psychopy.xpm
## Install runner
	install debian/psychopy.sh $(DEB_DESTDIR)/usr/bin/psychopy

# Make tree dfsg-compliant
OREMOTE=
dfsg: dfsg-master
dfsgrelease-%: override OREMOTE=origin/release-
dfsgrelease-%: dfsg-%
	@echo "finished dfsgrelease-$*" # some command is necessary for poor make
dfsg-%:
	@git checkout dfsg
	branch=$(OREMOTE)$*; \
	descr=`git describe $$branch | sed -e 's,-,+git,'`; \
	dfsgtag=$${descr}.dfsg; \
	echo "Merging $${branch} into DFSG and cleaning"; \
	git merge --no-commit -X theirs $$branch || :; \
	git rm -f --ignore-unmatch PsychoPyBuilder/*bak \
	  psychopy/demos/*.ttf psychopy/demos/*.mpg \
	  psychopy/ext/*bits*.* \
	  buildExeInstaller.nsi buildWinDistributions.bat \
	  googlecode_upload.py; \
	git rm -rf --ignore-unmatch psychopy/serial windlls; \
	diffstat="`git diff --cached $${branch} --stat`"; \
	echo -e "Merge $$branch ($$descr) into DFSG\n\n$$diffstat" | \
		git commit -F- -a && git tag -s -m "Autotagging DFSG version of $$descr" $$dfsgtag && \
	echo -e "Differences between dfsg and $${branch}:\n$$diffstat"; \
	git checkout debian && git merge $${dfsgtag} \
	&& dch -v "$${dfsgtag}-1" "New upstream release"

# immediately useable documentation
#DEB_COMPRESS_EXCLUDE := .py .pdf .html .css .jpg .txt
DEB_INSTALL_CHANGELOGS_ALL := psychopy/CHANGELOG.txt
DEB_INSTALL_DOCS_psychopy := psychopy/README.txt debian/README.Debian-source
DEB_INSTALL_MANPAGES_psychopy := debian/psychopy.1

clean::
	rm -f debian/psychopy.1
	rm -rf build dist PsychoPy.egg-info

# do not actually install demos -- just symlink to them
#DEB_INSTALL_EXAMPLES_psychopy := psychopy/demos/*

## psychopy 1.71.01.dfsg

=== debian/changelog ===
psychopy (1.71.01.dfsg-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 31 Oct 2011 22:23:48 -0400

psychopy (1.71.01.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 31 Oct 2011 21:48:39 -0400

psychopy (1.71.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * Moved scipy into Depends from Recommends due to imports of scipy at
    core modules (also reformatted *Depends into multilines)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Sep 2011 18:31:26 -0400

psychopy (1.70.01.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Sep 2011 15:33:04 -0400

psychopy (1.70.00.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Aug 2011 16:33:41 -0400

psychopy (1.70.00~rc4+git10-gf081945.dfsg-1) unstable; urgency=low

  * New upstream release candidate snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Aug 2011 17:11:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 5.0.38), python-support (>= 0.6), python (>= 2.4), python-setuptools (>= 0.6), help2man, imagemagick
+Build-Depends: cdbs, debhelper (>= 5.0.38),
+               python-support (>= 0.6), python (>= 2.4), python-setuptools (>= 0.6),
+               help2man, imagemagick
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.2
@@ -11,8 +14,17 @@
 
 Package: psychopy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pyglet | python-pygame, python-opengl, python-numpy, python-matplotlib, python-lxml, python-configobj
-Recommends: python-wxgtk2.8, python-pyglet, python-pygame, python-openpyxl, python-imaging, python-serial, python-scipy,
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+          python-pyglet | python-pygame,
+          python-opengl,
+          python-numpy, python-scipy, python-matplotlib,
+          python-lxml,
+          python-configobj
+Recommends: python-wxgtk2.8,
+            python-pyglet, python-pygame,
+            python-openpyxl,
+            python-imaging,
+            python-serial,
             libavbin0,
             ipython
 Suggests: python-iolabs, python-pyxid

## psychopy 1.73.03+git2-g04717ae.dfsg

=== debian/changelog ===
psychopy (1.73.03+git2-g04717ae.dfsg-1) unstable; urgency=low

  * New upstream release
  * Added python-configobj into build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 31 Jan 2012 13:26:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38),
                python-support (>= 0.6), python (>= 2.4), python-setuptools (>= 0.6),
-               help2man, imagemagick
+               help2man, imagemagick,
+               python-configobj,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.2
@@ -14,7 +14,7 @@
 
 Package: psychopy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
           python-pyglet | python-pygame,
           python-opengl,
           python-numpy, python-scipy, python-matplotlib,

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	git rm -f --ignore-unmatch PsychoPyBuilder/*bak \
 	  psychopy/demos/*.ttf psychopy/demos/*.mpg \
 	  psychopy/ext/*bits*.* \
+	  docs/source/resources/*zip \
 	  buildExeInstaller.nsi buildWinDistributions.bat \
 	  googlecode_upload.py; \
 	git rm -rf --ignore-unmatch psychopy/serial windlls; \
@@ -61,6 +62,9 @@
 DEB_INSTALL_DOCS_psychopy := psychopy/README.txt debian/README.Debian-source
 DEB_INSTALL_MANPAGES_psychopy := debian/psychopy.1
 
+test::
+	LC_ALL=C.UTF-8 PYTHONPATH=$PWD xvfb-run -s "-screen 0 1280x1024x24 -noreset" nosetests -s -v psychopy/tests 2>&1
+
 clean::
 	rm -f debian/psychopy.1
 	rm -rf build dist PsychoPy.egg-info

## psychopy 1.73.05.dfsg

=== debian/changelog ===
psychopy (1.73.05.dfsg-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 04 Mar 2012 16:46:51 -0500

psychopy (1.73.05.dfsg-1) unstable; urgency=low

  * New upstream release
  * Upgraded policy to 3.9.3
    - debian/copyright updated for DEP-5 compliance
  * Removed not any longer needed versioning from build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 16:19:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38),
-               python-support (>= 0.6), python (>= 2.4), python-setuptools (>= 0.6),
+               python-support, python, python-setuptools,
                help2man, imagemagick,
                python-configobj,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.psychopy.org
 
 Package: psychopy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
           python-pyglet | python-pygame,
           python-opengl,
           python-numpy, python-scipy, python-matplotlib,

## psychopy 1.73.06.dfsg

=== debian/changelog ===
psychopy (1.73.06.dfsg-1) unstable; urgency=low

  * New upstream bugfix release (released April 2012)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 15:49:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38),
                python-support, python, python-setuptools,
@@ -15,7 +14,7 @@
 
 Package: psychopy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
           python-pyglet | python-pygame,
           python-opengl,
           python-numpy, python-scipy, python-matplotlib,

## psychopy 1.74.03.dfsg

=== debian/changelog ===
psychopy (1.74.03.dfsg-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 14 Aug 2012 14:14:36 -0400

psychopy (1.74.03.dfsg-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Aug 2012 13:05:32 -0400

psychopy (1.74.02.dfsg-1) UNRELEASED; urgency=low

  * New bugfix of a fresh upstream feature release.
  * New patches:
    - up_Linux_components_path - point to location on Linux systems, not OSX

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Aug 2012 10:39:21 -0400

## psychopy 1.76.00.dfsg

=== debian/changelog ===
psychopy (1.76.00.dfsg-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 18 Feb 2013 13:01:13 -0500

psychopy (1.76.00.dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - added python-pyo to recommends
  * debian/copyright:
    - updated years
  * debian/patches
    - up* and changeset* removed (since included upstream)
    - deb_no_post_inst updated to not install psychopyApp as a script:
      we have a lean script to invoke it via runpy, and we call it just
      psychopy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Feb 2013 12:23:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38),
                python-support, python, python-setuptools,
@@ -14,7 +15,7 @@
 
 Package: psychopy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
           python-pyglet | python-pygame,
           python-opengl,
           python-numpy, python-scipy, python-matplotlib,
@@ -25,6 +26,7 @@
             python-openpyxl,
             python-imaging,
             python-serial,
+            python-pyo,
             libavbin0,
             ipython
 Suggests: python-iolabs, python-pyxid

## psychopy 1.77.02.dfsg

=== debian/changelog ===
psychopy (1.77.02.dfsg-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 15 Jul 2013 11:11:23 -0400

psychopy (1.77.02.dfsg-1) unstable; urgency=low

  * New upstream bugfix release
  * Do not ignore tests failures while building for unstable/sid

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Jul 2013 12:55:11 -0400

psychopy (1.77.00.dfsg-1) unstable; urgency=low

  * New upstream release
  * Enabling build-time unit-testing under Xvfb, but ignoring failures
    for now (there are few differently persistent ones)
  * debian/control:
    - libxxf86vm1 to Recommends -- needed for XF86VidModeSetGammaRamp

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 08:37:23 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,10 @@
                python-support, python, python-setuptools,
                help2man, imagemagick,
                python-configobj,
+               xvfb, xauth, libgl1-mesa-dri,
+               python-pyglet, python-pygame, python-opengl,
+               python-scipy, python-matplotlib, python-lxml,
+               python-configobj, python-imaging, python-openpyxl, python-mock, python-wxgtk2.8, libavbin0, python-pyo,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.3
@@ -28,7 +32,8 @@
             python-serial,
             python-pyo,
             libavbin0,
-            ipython
+            libxxf86vm1,
+            ipython,
 Suggests: python-iolabs, python-pyxid
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}

## psychopy 1.79.00%2Bgit16-g30c9343.dfsg

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 DEB_PYTHON_MODULE_PACKAGES = psychopy
 include /usr/share/cdbs/1/class/python-distutils.mk
 
+# We will disallow to fail on unstable/sid, but let them pass otherwise
+failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\)' && echo "exit 1" || echo ":")
+
 debian/psychopy.1: debian/psychopy.sh
 	chmod +x $^
 	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
@@ -14,6 +17,11 @@
 	rm -f psychopy/__init__.pyc
 
 install/psychopy:: debian/psychopy.1
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "I: Running tests using default Python"
+	cd build && xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
+		python ../psychopy/tests/runPytest.py -v -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
+endif
 ## Fix up permissions on images -- pushed upstream, but left here
 ## just to make sure everything is ok
 	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
@@ -26,8 +34,8 @@
 ## convert and install icon's .xpm manually
 	convert psychopy/app/Resources/psychopy.png -geometry 32x32 \
       $(DEB_DESTDIR)/usr/share/pixmaps/psychopy.xpm
-## Install runner
-	install debian/psychopy.sh $(DEB_DESTDIR)/usr/bin/psychopy
+## Rename upstream's runner
+	mv $(DEB_DESTDIR)/usr/bin/psychopyApp.py $(DEB_DESTDIR)/usr/bin/psychopy
 
 # Make tree dfsg-compliant
 OREMOTE=
@@ -48,7 +56,8 @@
 	  docs/source/resources/*zip \
 	  buildExeInstaller.nsi buildWinDistributions.bat \
 	  googlecode_upload.py; \
-	git rm -rf --ignore-unmatch psychopy/serial windlls; \
+	git rm -rf --ignore-unmatch iohub_docs psychopy/serial windlls; \
+	find -type d -iname win32 -print0 | xargs -0 git rm -rf --ignore-unmatch; \
 	diffstat="`git diff --cached $${branch} --stat`"; \
 	echo -e "Merge $$branch ($$descr) into DFSG\n\n$$diffstat" | \
 		git commit -F- -a && git tag -s -m "Autotagging DFSG version of $$descr" $$dfsgtag && \

## psychopy 1.79.00+git16-g30c9343.dfsg

=== debian/changelog ===
psychopy (1.79.00+git16-g30c9343.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxPython 3.0 (Closes: #759090):
    - New patch: wxpython3.0.patch
  * Create temporary directory and point $HOME to it when running tests during
    package build. (Closes: #718154)
  * Tests fail with python-wxgtk3.0, but the exact same failures are seen with
    python-wxgtk2.8, so ignore failing tests so as not to block the wxpython3.0
    transition.

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 10:59:58 +0000

psychopy (1.79.00+git16-g30c9343.dfsg-1) unstable; urgency=low

  * New release (+ post-release fixes)
  * debian/patches
    - deb_no_post_inst -- upstream does it correctly now
    - update_matplotlib_test (from Mike Hymers) to address missing nxutils
  * debian/control
    - add python-pytest to build-depends (thanks Mark again)
  * debian/rules
    - do not install our runner shell script, just use upstream's runner script
    (renamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 21 Dec 2013 10:54:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: psychopy
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38),
                python-support, python, python-setuptools,
@@ -11,7 +10,8 @@
                xvfb, xauth, libgl1-mesa-dri,
                python-pyglet, python-pygame, python-opengl,
                python-scipy, python-matplotlib, python-lxml,
-               python-configobj, python-imaging, python-openpyxl, python-mock, python-wxgtk2.8, libavbin0, python-pyo,
+               python-configobj, python-imaging, python-openpyxl, python-mock, python-wxgtk3.0, libavbin0, python-pyo,
+               python-pytest,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.3
@@ -19,13 +19,13 @@
 
 Package: psychopy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
           python-pyglet | python-pygame,
           python-opengl,
           python-numpy, python-scipy, python-matplotlib,
           python-lxml,
           python-configobj
-Recommends: python-wxgtk2.8,
+Recommends: python-wxgtk3.0,
             python-pyglet, python-pygame,
             python-openpyxl,
             python-imaging,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 # We will disallow to fail on unstable/sid, but let them pass otherwise
 failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\)' && echo "exit 1" || echo ":")
 
+# The same tests fail with python-wxgtk2.8 and python-wxgtk3.0, so ignore
+# failing tests so as not to block the wxpython3.0 transition.
+failed_tests_cmd = :
+
 debian/psychopy.1: debian/psychopy.sh
 	chmod +x $^
 	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
@@ -19,8 +23,11 @@
 install/psychopy:: debian/psychopy.1
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "I: Running tests using default Python"
-	cd build && xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
+	mkdir -p tmp-home
+	cd build && \
+	    HOME='$(CURDIR)/tmp-home' xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
 		python ../psychopy/tests/runPytest.py -v -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
+	rm -rf tmp-home
 endif
 ## Fix up permissions on images -- pushed upstream, but left here
 ## just to make sure everything is ok

## psychopy 1.81.03.dfsg

=== debian/changelog ===
psychopy (1.81.03.dfsg-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Dec 2014 11:05:04 -0500

psychopy (1.81.01.dfsg-1) unstable; urgency=medium

  * debian/control
    - Added X-Python-Version: >= 2.7 to avoid problems on older systems
      with unsupported in 2.6 syntax. Also export DEBPYTHON_SUPPORTED in
      debian/rules to solidify such a choice ;-) (Thanks to Mark Hymers)
    - Added Conflicts: libavbin0 (= 7-4+b1) to guarantee that psychopy
      is not installed alongside a broken build of libavbin0.  Presence
      of such a build would impair normal functioning of psychopy.
  * debian/rules
    - fix symlink to demos (now that dh_python doesn't install into
      pyshared)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Oct 2014 14:01:44 -0400

psychopy (1.81.00.dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - update_matplotlib_test -- handled upstream
    - wxpython3.0.patch was refactored into wxpython3.0-1.81.00.patch to
      keep residual changes (suppressing debug output, and use FD_ prefixes)
  * debian/control
    - boost policy to 3.9.6
    - remove libavbin0 from build-depends (broken see #750577)
    - adding python-psutil, python-gevent, python-msgpack, python-yaml,
      python-serial into Build-Depends and Recommends
  * debian/rules
    - state that TRAVIS=true while testing under xvfb to skip some tests
      requiring real hardware etc
    - switch away from pysupport to dh_python
    - switch from cdbs to dh, raised compat to 7
    - for now ignore tests failure(s), they do not exit cleanly
      see https://github.com/psychopy/psychopy/issues/708

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Oct 2014 22:14:30 -0400

psychopy (1.79.00+git16-g30c9343.dfsg-2) UNRELEASED; urgency=medium

  [ Olly Betts ]
  * Update for wxPython 3.0 (Closes: #759090):

  [ Yaroslav Halchenko ]
  * export HOME to be build directory to avoids tests failure
    (Closes: #718154)
  * Allow to build/work against wx 2.8 as well for easier backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Sep 2014 14:35:08 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,26 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 5.0.38),
-               python-support, python, python-setuptools,
+Build-Depends: debhelper (>= 7),
+               python, python-setuptools,
                help2man, imagemagick,
                python-configobj,
                xvfb, xauth, libgl1-mesa-dri,
                python-pyglet, python-pygame, python-opengl,
                python-scipy, python-matplotlib, python-lxml,
-               python-configobj, python-imaging, python-openpyxl, python-mock, python-wxgtk3.0, libavbin0, python-pyo,
+               python-configobj, python-imaging, python-openpyxl, python-mock,
+               python-wxgtk3.0 | python-wxgtk2.8,
+               python-pyo,
+               python-serial,
+               python-psutil,
+               python-gevent,
+               python-msgpack,
+               python-yaml,
                python-pytest,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://www.psychopy.org
 
 Package: psychopy
@@ -26,14 +34,20 @@
           python-lxml,
           python-configobj
 Recommends: python-wxgtk3.0,
+            python-wxgtk2.8,
             python-pyglet, python-pygame,
             python-openpyxl,
             python-imaging,
             python-serial,
             python-pyo,
+            python-psutil,
+            python-gevent,
+            python-msgpack,
+            python-yaml,
             libavbin0,
             libxxf86vm1,
             ipython,
+Conflicts: libavbin0 (= 7-4+b1)
 Suggests: python-iolabs, python-pyxid
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# We will disallow to fail on unstable/sid, but let them pass otherwise
# TODO:  return back exit 1 upon failures
failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\)' && echo ":" || echo ":")

PYVER = $(shell pyversions -vd)

export DEBPYTHON_SUPPORTED=$(PYVER)
export HOME=$(CURDIR)/build
DEB_DESTDIR=$(CURDIR)/debian/psychopy

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: Running tests using default Python"
	cd build \
		&& USER=nobody TRAVIS=true \
		xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
		python ../psychopy/tests/runPytest.py -v -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
endif
## Fix up permissions on images -- pushed upstream, but left here
## just to make sure everything is ok
	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
		xargs -r chmod a-x
## # Correct interpreter lines
## was pushed upstream, but snippet is left in for possible uses
## 	find $(DEB_DESTDIR) -name \*.py \
##     | xargs -r sed -i -e '1 s,^#!.*python.*,#!/usr/bin/env python,g'

## convert and install icon's .xpm manually
	convert psychopy/app/Resources/psychopy.png -geometry 32x32 \
      $(DEB_DESTDIR)/usr/share/pixmaps/psychopy.xpm
## Rename upstream's runner
	mv $(DEB_DESTDIR)/usr/bin/psychopyApp.py $(DEB_DESTDIR)/usr/bin/psychopy

debian/psychopy.1: debian/psychopy.sh
	chmod +x $^
	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
## cleanup
	rm -f psychopy/__init__.pyc

override_dh_link:
	dh_link -ppsychopy /usr/lib/python$(PYVER)/dist-packages/psychopy/demos usr/share/doc/psychopy/examples
	dh_link

override_dh_installman:  debian/psychopy.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs psychopy/CHANGELOG.txt


# Make tree dfsg-compliant
OREMOTE=
dfsg: dfsg-master
dfsgrelease-%: override OREMOTE=origin/release-
dfsgrelease-%: dfsg-%
	@echo "finished dfsgrelease-$*" # some command is necessary for poor make
dfsg-%:
	@git checkout dfsg
	branch=$(OREMOTE)$*; \
	descr=`git describe $$branch | sed -e 's,-,+git,'`; \
	dfsgtag=$${descr}.dfsg; \
	echo "Merging $${branch} into DFSG and cleaning"; \
	git merge --no-commit -X theirs $$branch || :; \
	git rm -f --ignore-unmatch PsychoPyBuilder/*bak \
	  psychopy/demos/*.ttf psychopy/demos/*.mpg \
	  psychopy/ext/*bits*.* \
	  docs/source/resources/*zip \
	  buildExeInstaller.nsi buildWinDistributions.bat \
	  googlecode_upload.py; \
	git rm -rf --ignore-unmatch iohub_docs psychopy/serial windlls; \
	find -type d -iname win32 -print0 | xargs -0 git rm -rf --ignore-unmatch; \
	diffstat="`git diff --cached $${branch} --stat`"; \
	echo -e "Merge $$branch ($$descr) into DFSG\n\n$$diffstat" | \
		git commit -F- -a && git tag -s -m "Autotagging DFSG version of $$descr" $$dfsgtag && \
	echo -e "Differences between dfsg and $${branch}:\n$$diffstat"; \
	git checkout debian && git merge $${dfsgtag} \
	&& dch -v "$${dfsgtag}-1" "New upstream release"

test::
	LC_ALL=C.UTF-8 PYTHONPATH=$PWD xvfb-run -s "-screen 0 1280x1024x24 -noreset" nosetests -s -v psychopy/tests 2>&1

clean::
	rm -f debian/psychopy.1
	rm -rf build dist PsychoPy.egg-info

# do not actually install demos -- just symlink to them
#DEB_INSTALL_EXAMPLES_psychopy := psychopy/demos/*

## psychopy 1.82.01.dfsg

=== debian/changelog ===
psychopy (1.82.01.dfsg-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/control
    - python-pandas was added to both Build-depends and Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Apr 2015 16:23:01 -0400

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                python-msgpack,
                python-yaml,
                python-pytest,
+               python-pandas,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.6
@@ -44,6 +45,7 @@
             python-gevent,
             python-msgpack,
             python-yaml,
+            python-pandas,
             libavbin0,
             libxxf86vm1,
             ipython,

=== debian/rules ===
--- 
+++ 
@@ -86,9 +86,10 @@
 test::
 	LC_ALL=C.UTF-8 PYTHONPATH=$PWD xvfb-run -s "-screen 0 1280x1024x24 -noreset" nosetests -s -v psychopy/tests 2>&1
 
-clean::
+override_dh_clean::
 	rm -f debian/psychopy.1
 	rm -rf build dist PsychoPy.egg-info
+	dh_clean
 
 # do not actually install demos -- just symlink to them
 #DEB_INSTALL_EXAMPLES_psychopy := psychopy/demos/*
